{% extends "ajax/game/game.html.twig" %}
{% block ajax %}
    {{ parent() }}
    {% if not app.user.expert %}
        <div x-tutorial-content="* !3.text2 !3.text4 !3.text5 !4.text2 !4.text3" class="toplevel cover"></div>
        <div x-tutorial-content="*" class="toplevel control">
            <b>{{ 'Spielhilfe aktiv:'|trans({},'help') }}</b>
            <div>
                <strong x-tutorial-content="1.*">{{ 'Das Grundprizip des Spiels'|trans({},'help') }}</strong>
                <strong x-tutorial-content="2.*">{{ 'Die Benutzeroberfläche'|trans({},'help') }}</strong>
                <strong x-tutorial-content="3.*">{{ 'Wie rüste ich mich aus?'|trans({},'help') }}</strong>
                <strong x-tutorial-content="4.*">{{ 'Wie kann ich die Stadt verlassen?'|trans({},'help') }}</strong>
                <button x-advance-tutorial="finish">{{ 'Die Spielhilfe stoppen'|trans({},'help') }}</button>
            </div>
        </div>

        <div x-tutorial-content="1.text1 1.text2 1.text3 1.text4 1.text5" class="toplevel text">
            <div class="help">
                <div x-tutorial-content="1.text1">
                    <p>{% trans from "help" %}
                        "MyHordes" ist ein Survivalspiel, das in der Gruppe gespielt wird. Die Welt, in der ihr "lebt", ist von entsetzlichen Kreaturen bevölkert, den sogenannten <strong>Zombies</strong>.
                    {% endtrans %}</p>
                    <p>{% trans from "help" %}
                        Jeden Abend <strong>um Mitternacht</strong> strömen diese Kreaturen in die Stadt, um euch aufzufressen.
                    {% endtrans %}</p>
                    <p>{% trans from "help" %}
                        <strong>Das einzige, was euch zum Überleben bleibt, ist Wasser!</strong>
                    {% endtrans %}</p>
                    <button x-advance-tutorial="1.text2">{{ 'Weiter...'|trans({},'help') }}</button>
                </div>
                <div x-tutorial-content="1.text2">
                    <p>{% trans from "help" %}
                        Wasser besitzt neben seiner lebenserhaltenden Funktion auch die Eigenschaft gegen die Wüstenkreaturen wirksam zu sein.
                    {% endtrans %}</p>
                    <p>{% trans from "help" %}
                        Mit dem Wasser können nämlich die Monster umgebracht und somit der <strong>Prozess der Zombiefizierung gestoppt werden</strong>.
                    {% endtrans %}</p>
                    <button x-advance-tutorial="1.text3">{{ 'Weiter...'|trans({},'help') }}</button>
                </div>
                <div x-tutorial-content="1.text3">
                    <p>{% trans from "help" %}
                        Die Bürger der betroffenen Stadt müssen kooperieren, wenn sie überleben möchten.
                    {% endtrans %}</p>
                    <p>{% trans from "help" %}
                        Dazu ist es nötig, <strong>das äußere Gebiet, genannt die Außenwelt, zu erkunden</strong>. In der Außenwelt finden die Bewohner überlebenswichtige Gegenstände, wie Nahrung, Waffen und Rohstoffe. Diese werden zum Beispiel für den Bau neuer Gebäude benötigt.
                    {% endtrans %}</p>
                    <button x-advance-tutorial="1.text4">{{ 'Weiter...'|trans({},'help') }}</button>
                </div>
                <div x-tutorial-content="1.text4">
                    <p>{% trans from "help" %}
                        Jeder Bürger kann sich eine <strong>Konstruktion</strong> aussuchen, an der er mitarbeiten möchte.
                    {% endtrans %}</p>
                    <p>{% trans from "help" %}
                        Möchtest du eine Verteidigungsmauer bauen oder vielleicht doch eine bessere Wasserpumpe für den Brunnen?
                    {% endtrans %}</p>
                    <button x-advance-tutorial="1.text5">{{ 'Weiter...'|trans({},'help') }}</button>
                </div>
                <div x-tutorial-content="1.text5">
                    <p>{% trans from "help" %}
                            Du allein entscheidest, ob du ein <strong>solidarischer Mitbürger</strong> sein willst, der seine Stadt in eine bessere Zukunft führen möchte oder ob du als Außenseiter <strong>unabhängig</strong> für dein eigenes Überleben kämpfen möchtest!
                    {% endtrans %}</p>
                    <p>{% trans from "help" %}
                        Sei dabei jedoch immer auf der Hut vor deinen Nachbarn... Man weiß nie, welche Pläne sie verfolgen...
                    {% endtrans %}</p>
                    <button x-advance-tutorial="1.text6">{{ 'Weiter...'|trans({},'help') }}</button>
                </div>
            </div>
        </div>
        <div x-tutorial-content="1.text6" class="toplevel text arrow-up">
            <div class="help">
                <p>{% trans from "help" %}
                    In der Spielhilfe findest du ausführliche Informationen.
                {% endtrans %}</p>
                <button x-advance-tutorial="complete">{{ 'Weiter...'|trans({},'help') }}</button>
            </div>
        </div>
        <div x-tutorial-content="2.text1" class="toplevel text arrow-down">
            <div class="help">
                <p>{% trans from "help" %}
                        Der Großteil aller Aktionen in der Stadt werden durch dieses Menü ausgeführt. Erkunde die Stadt, indem du auf die jeweiligen Icons drückst.
                    {% endtrans %}</p>
                <button x-advance-tutorial="2.text2">{{ 'Weiter...'|trans({},'help') }}</button>
            </div>
        </div>
        <div x-tutorial-content="2.text2" class="toplevel text arrow-up-left">
            <div class="help">
                <p>{% trans from "help" %}
                    Dank diesem <strong>Funkgerät</strong> bist du in der Lage mit den <strong>den anderen Bürgern deiner Stadt</strong> zu kommunizieren. Du kannst nach Ratschlägen fragen oder deinen Nachbarn anzeigen...
                {% endtrans %}</p>
                <p>{% trans from "help" %}
                    Du solltest jeden Tag mindestens einmal ins Forum schauen, um zu erfahren wie deine Stadt ihre Verteidigung organisieren möchte.
                {% endtrans %}</p>
                <button x-advance-tutorial="2.text3">{{ 'Weiter...'|trans({},'help') }}</button>
            </div>
        </div>
        <div x-tutorial-content="2.text3" class="toplevel text arrow-up">
            <div class="help">
                <p>{% trans from "help" %}
                    Alle <strong>Ereignisse des Vortags</strong> werden in einer <strong>Zeitung veröffentlicht, die nach jedem Angriff der Zombiehorden erscheint</strong>. Sie enthält wichtige Informationen!
                {% endtrans %}</p>
                <button x-advance-tutorial="2.text4">{{ 'Weiter...'|trans({},'help') }}</button>
            </div>
        </div>
        <div x-tutorial-content="2.text4" class="toplevel text arrow-up">
            <div class="help">
                <p>{% trans from "help" %}
                    Deine <strong>Seele</strong> ist hier sichtbar. In ihr findest du den Verlauf all deiner vorangegangenen Leben... In "MyHordes" ist Sterben nämlich etwas Alltägliches...
                {% endtrans %}</p>
                <button x-advance-tutorial="2.text5">{{ 'Weiter...'|trans({},'help') }}</button>
            </div>
        </div>
        <div x-tutorial-content="2.text5" class="toplevel text arrow-up">
            <div class="help">
                <p>{% trans from "help" %}
                    In der <strong>ausführlichen Spielhilfe</strong> findest du alles über die Regeln des Spiels.
                {% endtrans %}</p>
                <button x-advance-tutorial="2.text6">{{ 'Weiter...'|trans({},'help') }}</button>
            </div>
        </div>
        <div x-tutorial-content="2.text6" class="toplevel text arrow-up">
            <div class="help">
                <p>{% trans from "help" %}
                    Deine <strong><span class="ap">Aktionspunkte</span></strong> (diese werden insbesonders für deine Ausflüge in die Außenwelt benötigt) werden hier auf der linken Seite angezeigt.
                {% endtrans %}</p>
                <p>{% trans from "help" %}
                    Diese Leiste in der Mitte zeigt deinen <strong>Gesundheitszustand</strong> an. <strong>Behalte ihn immer im Auge.</strong>
                {% endtrans %}</p>
                <p>{% trans from "help" %}
                    Ganz rechts kannst du den Inhalt deines <strong>Rucksacks</strong> sehen.
                {% endtrans %}</p>
                <button x-advance-tutorial="complete">{{ 'Weiter...'|trans({},'help') }}</button>
            </div>
        </div>
        <div x-tutorial-content="3.text1" class="toplevel text">
            <div class="help">
                <p>{% trans from "help" %}
                    An jedem Tag wirst du als Erstes immer deine <strong>Wasserration</strong> aus dem <strong>Brunnen</strong> nehmen...
                {% endtrans %}</p>
                <button x-advance-tutorial="3.text2">{{ 'Weiter...'|trans({},'help') }}</button>
            </div>
        </div>
        <div x-tutorial-content="3.text2" class="toplevel text arrow-down">
            <div class="help">
                <p>{% trans from "help" %}
                    Um zum Brunnen zu gelangen, klicke auf dieses Icon.
                {% endtrans %}</p>
            </div>
        </div>
        <div x-tutorial-content="3.text4" class="toplevel text arrow-down">
            <div class="help">
                <p>{% trans from "help" %}
                    Es ist an der Zeit, ein paar Gegenstände mitzunehmen. Gehe nach <strong>Hause</strong>, um dir dein <strong>Inventar</strong> anzusehen.
                {% endtrans %}</p>
            </div>
        </div>
        <div x-tutorial-content="3.text8 3.text9" class="toplevel text arrow-up">
            <div class="help" x-tutorial-content="3.text8">
                <p>{% trans from "help" %}
                    Deinen Rucksack findest du übrigens hier.
                {% endtrans %}</p>
                <p>{% trans from "help" %}
                    Wenn du möchtest, kannst du etwas Proviant mitnehmen (Essen, Wasser..). Denke aber daran, in deinem Rucksack ein <strong>bisschen Platz</strong> übrig zu lassen, um weitere Gegenstände mitnehmen zu können, die du in der Wüste finden wirst.
                {% endtrans %}</p>
                <button x-advance-tutorial="3.text9">{{ 'Weiter...'|trans({},'help') }}</button>
            </div>
            <div class="help" x-tutorial-content="3.text9">
                <p>{% trans from "help" %}
                    Der erste Gegenstand auf der Liste entspricht dem <strong>Beruf</strong>, den du dir ausgesucht hast. Er nimmt <strong>keinen Platz</strong> weg und du kannst ihn auch nicht verlieren.
                {% endtrans %}</p>
                <button x-advance-tutorial="complete">{{ 'Weiter...'|trans({},'help') }}</button>
            </div>
        </div>
        <div x-tutorial-content="4.text1" class="toplevel text">
            <div class="help">
                <p>{% trans from "help" %}
                    Eine Expedition in die Außenwelt, will <strong>gut vorbereitet</strong> sein... Vergewissere dich, dass du den Leitfaden <strong>Wie rüste ich mich aus?</strong> gelesen hast, bevor du diese Etappe in Angriff nimmst! Du kannst jederzeit auf <strong>Anhalten</strong> drücken (zu deiner Rechten), um die Erklärungen abzustellen und dir einen anderen Leitfaden aussuchen...
                {% endtrans %}</p>
                <button x-advance-tutorial="4.text2">{{ 'Weiter...'|trans({},'help') }}</button>
            </div>
        </div>
        <div x-tutorial-content="4.text2" class="toplevel text arrow-down">
            <div class="help">
                <p>{% trans from "help" %}
                    Klicke auf diesen Abschnitt, um zum <strong>Stadttor</strong> zu gelangen.
                {% endtrans %}</p>
            </div>
        </div>
        {% block tutorial %}
        {% endblock %}
    {% endif %}
    {# @var \App\Entity\CitizenHome home #}
    <div class="row">
        <div class="cell rw-4 rw-sm-12 manual-background">
            {% if not app.user.expert %}
                <div class="row beginner-mode">
                    <div class="cell rw-12 background">
                        <div class="hide-sm hide-md hide-lg">
                            <h5>{{ 'Wie soll ich spielen?'|trans({},'help') }}</h5>
                            <ul>
                                <li x-tutorial-section="1" class="tick"><a class="small" href="#" x-advance-tutorial="1.text1">{{ 'Das Grundprizip des Spiels'|trans({},'help') }}</a></li>
                                <li x-tutorial-section="2" class="tick"><a class="small" href="#" x-advance-tutorial="2.text1">{{ 'Die Benutzeroberfläche'|trans({},'help') }}</a></li>
                                <li x-tutorial-section="3" class="tick"><a class="small" href="#" x-advance-tutorial="3.text1">{{ 'Wie rüste ich mich aus?'|trans({},'help') }}</a></li>
                                <li x-tutorial-section="4" class="tick"><a class="small" href="#" x-advance-tutorial="4.text1">{{ 'Wie kann ich die Stadt verlassen?'|trans({},'help') }}</a></li>
                                <li><span class="small">{{ 'Entdecke deinen Beruf:'|trans({},'help') }} <img alt="" src="{{ asset('build/images/professions/' ~ app.user.activeCitizen.profession.icon ~ '.gif') }}" /> <a href="#" x-ajax-href="{{ path('help', {'name': app.user.activeCitizen.profession.name}) }}">{{ app.user.activeCitizen.profession.label|trans({},'game') }}</a></span></li>
                            </ul>
                        </div>
                        <img src="{{ asset('build/images/icons/small_expert.gif') }}" alt="">
                        <a class="small" href="#" x-toggle-expert-mode>{{ 'Den Lernmodus ausschalten'|trans({}, 'game') }}</a>
                    </div>
                </div>
            {% endif %}


            {% set hour = "now"|date("G") %}
            <div class="row">

                <div class="background cell rw-12">
                    {% if citizen.hasRole('ghoul') %}
                        <div class="green-note warning-box">
                            <img src="{{ asset('build/images/status/status_ghoul.gif') }}" alt=""> {{'Du hast dich in einen %role% verwandelt!'|trans({'%role%': '<strong>' ~ 'Ghul'|trans({},'game') ~ '</strong>'}, 'game')|raw}}<br />
                            <em>{{ "Erzähle niemandem davon oder du wirst sofort erschossen!"|trans({}, 'game') }}</em><br />
                            {{ help_lnk('Wie man als Ghul spielt ?'|trans({},'game'), 'help', {'name' : 'ghouls'}) }}
                        </div>
                    {% endif %}
                    {% if chaos %}
                        <div class="header-menu chaos"><a class="help-button"><div class="tooltip help">{{ '<strong>Die Stadt versinkt im Chaos!</strong></p>Es gilt kein Gesetz mehr... Ihr müsst jetzt alle zusammenhalten und mit den Übriggebliebenen auskommen!<p><em>... Oder euch gegenseitig abschlachten, je nachdem.</em>'|trans({},'global')|raw }}</div>{{ 'Hilfe'|trans({},'global') }}</a></div>
                    {% elseif town.insurrectionProgress >= 100 %}
                        <div class="header-menu insurrect"></div>
                    {% endif %}
                    {% if citizen.banished %}
                        <div class="banished-info">
                            <img alt="" src="{{ asset('build/images/icons/banished.gif') }}" /> {{ 'Du wurdest verbannt!'|trans({}, 'game') }} <a class="help-button"><div class="tooltip help">{{ 'Als <strong>Ausgestoßener</strong> stehen dir die Gemeinschaftsaktionen der Stadt nicht länger zur Verfügung: Bank, Baustelle, Tor, etc...'|trans({},'global')|raw }}</div>{{ 'Hilfe'|trans({},'global') }}</a>
                        </div>
                        {% if has_insurrection_part %}
                            <div class="banished-info">
                                <em>{{ 'Status:'|trans({}, 'game') }}</em>
                                {% if town.insurrectionProgress >= 0 and town.insurrectionProgress < 20 %}
                                    {{ 'Eine Revolte liegt in weiter Ferne...'|trans({}, 'game') }}
                                {% elseif town.insurrectionProgress >= 20 and town.insurrectionProgress < 40 %}
                                    {{ 'Erste Spannungen bilden sich.'|trans({}, 'game') }}
                                {% elseif town.insurrectionProgress >= 40 and town.insurrectionProgress < 60 %}
                                    {{ 'Wir machen Fortschritte.'|trans({}, 'game') }}
                                {% elseif town.insurrectionProgress >= 60 and town.insurrectionProgress < 80 %}
                                    {{ 'Das Ende ist nah.'|trans({}, 'game') }}
                                {% elseif town.insurrectionProgress >= 80 %}
                                    {{ 'Die Revolte steht bevor!'|trans({}, 'game') }}
                                {% endif %}
                            </div>
                        {% elseif can_do_insurrection %}
                            <button id="do_insurrection"><img alt="" src="{{ asset('build/images/actions/insurrect.gif') }}" /> {{'Auf den Aufstand hinarbeiten'|trans({}, 'game')}}</button>
                        {% endif %}
                    {% endif %}
                    <div class="row town-menu {% if town.isNight %}night{% endif %}">
                        <div class="padded-small cell rw-12 town-overview {% if menu_section == '' %}selected{% endif %}">
                            <div x-ajax-href="{{ url('town_dashboard') }}"><img src="{{asset('build/images/icons/small_view.gif')}}" alt =""/>{% trans from 'game' %}Übersicht{% endtrans %}</div>
                        </div>
                        <div x-ajax-href="{{ path('town_house', {tab: 'dash', subtab: 'received'}) }}" {% if not app.user.expert%}x-advance-tutorial="3.text4>3.text6"{% endif%} class="cell padded-small rw-6 rw-lg-12 rw-sm-6 {% if menu_section == 'house' %}selected{% endif %} town-menu-house">
                            <div></div>
                            <div class="hide-sm">
                                <img alt="{{ home.prototype.level }}" src="{{ asset('build/images/home/' ~ home.prototype.icon ~ '.gif') }}" />{% trans from 'game' %}Mein Haus{% endtrans %} {% if new_message %}<img src="{{ asset('build/images/icons/anim_icon_mail.gif') }}" style="vertical-align: baseline;" /> {% endif %}
                            </div>
                        </div>
                        <div x-ajax-href="{{ path('town_well') }}" {% if not app.user.expert%}x-advance-tutorial="3.text2>3.text3"{% endif%} class="cell padded-small rw-6 rw-lg-12 rw-sm-6 {% if menu_section == 'well' %}selected{% endif %} town-menu-well">
                            <div></div>
                            <div class="hide-sm">
                                {% trans from 'game' %}Brunnen{% endtrans %}
                            </div>
                        </div>
                        <div x-ajax-href="{{ path('town_bank') }}" class="cell padded-small rw-6 rw-lg-12 rw-sm-6 {% if menu_section == 'bank' %}selected{% endif %} town-menu-bank">
                            <div></div>
                            <div class="hide-sm">
                                {% trans from 'game' %}Bank{% endtrans %}
                            </div>
                        </div>
                        <div x-ajax-href="{{ path('town_citizens') }}" class="cell padded-small rw-6 rw-lg-12 rw-sm-6 {% if menu_section == 'citizens' %}selected{% endif %} town-menu-citizens">
                            <div></div>
                            <div class="hide-sm">
                                {% trans from 'game' %}Bürger{% endtrans %}
                            </div>
                        </div>
                        <div x-ajax-href="{{ path('town_constructions') }}" class="cell padded-small rw-6 rw-lg-12 rw-sm-6 {% if menu_section == 'constructions' %}selected{% endif %} town-menu-construct">
                            <div></div>
                            <div class="hide-sm">
                                {% trans from 'game' %}Konstruktionen{% endtrans %}
                            </div>
                        </div>
                        <div x-ajax-href="{{ path('town_door') }}" {% if not app.user.expert%}x-advance-tutorial="4.text2>4.text3"{% endif%} class="cell padded-small rw-6 rw-lg-12 rw-sm-6 {% if menu_section == 'door' %}selected{% endif %} town-menu-door">
                            <div></div>
                            <div class="hide-sm">
                                {% trans from 'game' %}Stadttor{% endtrans %}
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="cell rw-12 town-addons">
                            {% for name, addon in addons|sort((a, b) => a[2] <=> b[2]) %}
                                <div x-ajax-href="{{ path(addon[1]) }}" class="town-addon {% if menu_section == name %}selected{% endif %} town-addon-{{ name }}">
                                    <div></div>
                                    <span>{{ addon[0]|trans({},'game') }}</span>
                                </div>
                            {% endfor %}
                            {% for i in 0..5 %}
                                <div class="town-addon town-addon-empty">
                                    <div></div>
                                    <span></span>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="row town-buildings hide-md hide-sm">
                        <ul>
                            {% for building in builtbuildings|sort((a, b) => a.prototype.orderBy <=> b.prototype.orderBy ) %}
                                <li class="cell padded-small rw-12">
                                    <img alt="" src="{{ asset('build/images/building/' ~ building.prototype.icon ~ '.gif' ) }}" />
                                    {{ building.prototype.label|trans({},'buildings') }}
                                    {% if building.hp != building.prototype.hp %}
                                        <span class="float-right">
                                            <div class="life-bar">
                                                <div class="life-progress {% if building.hp / building.prototype.hp < 0.15 %}life-critical{% elseif building.hp / building.prototype.hp < 0.50 %}life-warning{% endif %}" style="width: {{building.hp / building.prototype.hp * 100}}%;"></div>
                                            </div>
                                        </span>
                                    {% endif %}
                                    <br />
                                    {% if building.defense > 0 %}<em>+ {{building.defense + building.defenseBonus}} {% trans from "buildings" %}Verteidigung{% endtrans %} </em>{% endif %}
                                    {% if building.prototype.maxLevel > 0 and building.level > 0 %}<em>{% trans with {'%lv%': building.level} from 'game' %}Level %lv%{% endtrans %}</em>{% endif %}
                                    <div class='tooltip normal'>
                                        {{ building.prototype.description|trans({}, 'buildings') }}
                                    </div>
                                </li>
                            {% endfor %}
                        </ul>
                    </div>
                </div>
            </div>

            {% if app.user.expert %}
                <div class="row">
                    <div class="cell rw-12 background">
                        <div class="beginner-link">{{ 'Brauchst du Hilfe? Benutze den %modelink%!'|trans({'%modelink%': ('<a href="#" x-toggle-expert-mode>' ~ ('Anfängermodus'|trans({},'game')) ~ '</a>')},'game')|raw }}</div>
                    </div>
                </div>
            {% endif %}
        </div>
        <div class="padded cell rw-8 rw-sm-12">
            {% block content %}
            {% endblock %}
        </div>
        <div class="cell rw-12 flavour-quote">
            <div class="quote-foot">
                <div class="quote-head">
                    « {{ quote.content }} »
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% if can_do_insurrection %}
        let insurrectbtn = document.getElementById('do_insurrection');
        if(insurrectbtn) insurrectbtn.addEventListener('click', function(){
            if (confirm('{{ 'Bestätigen?'|trans({},'global') }}'))
                $.ajax.easySend( '{{ path('town_insurrect') }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('town_dashboard') }}', true);
                    } );
        });
        {% endif %}

        $.html.addEventListenerAll('[x-toggle-expert-mode]','click', function(e,elem) {
            e.preventDefault();
            $.client.config.hiddenConditionalHelp.set([]);
            $.client.config.completedTutorials.set([]);
            $.ajax.easySend('{{ path('game_toggle_expert_mode')|e('js') }}', {}, function() {
                $.ajax.load( null, '{{ path('town_dashboard')|e('js') }}' );
            })
        })

        {% if not app.user.expert %}
            const completed_tuts = $.client.config.completedTutorials.get();
            $.html.forEach('.beginner-mode li.tick[x-tutorial-section]', element => {
                if (completed_tuts.includes(parseInt(element.getAttribute('x-tutorial-section')))) element.classList.add('complete');
            });
        {% endif %}
    </script>
{% endblock %}